Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.event
Class ProjectionSupport

    java.lang.Object
      com.bbn.openmap.event.ListenerSupport
          com.bbn.openmap.event.ProjectionSupport

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  OverviewMapHandler.ControlledMapSupport

public class ProjectionSupport
extends ListenerSupport

This is a utility class that can be used by beans that need support for handling ProjectionListeners and firing ProjectionEvents. You can use an instance of this class as a member field of your bean and delegate work to it.

See Also:
  Serialized Form

Nested Class Summary
`protected class` | `ProjectionSupport.ProjectionChangeNotifier` A thread that disperses the projection event, instead of letting the Swing thread do it.

Field Summary
`protected ProjectionSupport.ProjectionChangeNotifier` | `pcNotifier`

Fields inherited from class com.bbn.openmap.event.ListenerSupport
`listeners, source`

Constructor Summary
`ProjectionSupport()` Construct a ProjectionSupport.
`ProjectionSupport(java.lang.Object aSource)` Construct a ProjectionSupport.

Method Summary
`void` | `addProjectionListener(ProjectionListener l)` Add a ProjectionListener.
`void` | `fireProjectionChanged(Projection proj)` Send a center event to all registered listeners.
`void` | `removeProjectionListener(ProjectionListener l)` Remove a ProjectionListener.

Methods inherited from class com.bbn.openmap.event.ListenerSupport
`addListener, getListeners, getSource, iterator, readObject, removeAll, removeListener, setSource, size, writeObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pcNotifier

    protected ProjectionSupport.ProjectionChangeNotifier pcNotifier

Constructor Detail

### ProjectionSupport

    public ProjectionSupport()

  Construct a ProjectionSupport.

### ProjectionSupport

    public ProjectionSupport(java.lang.Object aSource)

  Construct a ProjectionSupport.

Parameters:
  `aSource` - source Object

Method Detail

### addProjectionListener

    public void addProjectionListener(ProjectionListener l)

  Add a ProjectionListener.

  Parameters:
    `l` - ProjectionListener

### removeProjectionListener

    public void removeProjectionListener(ProjectionListener l)

  Remove a ProjectionListener.

  Parameters:
    `l` - ProjectionListener

### fireProjectionChanged

    public void fireProjectionChanged(Projection proj)

  Send a center event to all registered listeners.

  Parameters:
    `proj` - Projection

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details